Subject: Madison Park Comforter
From: Laura Young <[email-masked]>
To: info <[email-masked]>
Date: Thu, 31 Oct 2024 00:29:46 +0000

Hello!

I washed my comforter now it appears to be ruined. I washed alone on cool and dried on the lowest heat setting. It’s the same machines I used previously with no issues.

The areas that are discolored were not visibly dirty or stained prior to washing and the outer part feels fused to the poly fil. Are there any recommendations for fixing this? I don’t want to try and end up making it worse.

I’m really desperate for help in this situation. I’m very stressed as this was an expensive purchase for us and my husband is not an understanding man.